Loading...
Searching...
No Matches
sirandom.h File Reference

Go to the source code of this file.

## Typedefs

typedef int(* | siRandProc) (void)
typedef int(* | siRandProc1) (int)

## Functions

int | siRand (void)
int | siRandNext (int)
int | siRandPlus1 (int)

## Variables

EXTERN_VAR int | siSeed

## Typedef Documentation

## siRandProc

typedef int(* siRandProc) (void)

Definition at line 9 of file sirandom.h.

## siRandProc1

typedef int(* siRandProc1) (int)

Definition at line 10 of file sirandom.h.

## Function Documentation

## siRand()

int siRand | ( | void |  | ) |

Definition at line 42 of file sirandom.c.

{
siSeed=siRandNext(siSeed);
return siSeed;
}
siRandNext
int siRandNext(int r)
Definition sirandom.c:32
siSeed
VAR int siSeed
Definition sirandom.c:30

## siRandNext()

int siRandNext | ( | int | r | ) |

Definition at line 32 of file sirandom.c.

{
r = A * (r % Q) - R * (r / Q);
if ( r < 0 )
r += M;
return( r );
}
R
#define R
Definition sirandom.c:27
A
#define A
Definition sirandom.c:24
M
#define M
Definition sirandom.c:25
Q
#define Q
Definition sirandom.c:26

## siRandPlus1()

int siRandPlus1 | ( | int | r | ) |

Definition at line 47 of file sirandom.c.

{
return r+1;
}

## Variable Documentation

## siSeed

EXTERN_VAR int siSeed

Definition at line 6 of file sirandom.h.